Index: tmp/org.txm.searchengine.rcp/build.properties
===================================================================
--- tmp/org.txm.searchengine.rcp/build.properties	(revision 0)
+++ tmp/org.txm.searchengine.rcp/build.properties	(revision 3122)
@@ -0,0 +1,5 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml

Property changes on: tmp/org.txm.searchengine.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.searchengine.rcp/plugin.xml
===================================================================
--- tmp/org.txm.searchengine.rcp/plugin.xml	(revision 0)
+++ tmp/org.txm.searchengine.rcp/plugin.xml	(revision 3122)
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.preferencePages">
+      <page
+            category="org.txm.rcp.preferences.AdvancePreferencePage"
+            class="org.txm.searchengine.rcp.preferences.SearchEnginePreferencesPage"
+            id="org.txm.searchengine.rcp.preferences.SearchEnginePreferencesPage"
+            name="Search engines">
+      </page>
+   </extension>
+
+</plugin>

Property changes on: tmp/org.txm.searchengine.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.searchengine.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.searchengine.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.searchengine.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 3122)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
+org.eclipse.jdt.core.compiler.compliance=1.8
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.8

Property changes on: tmp/org.txm.searchengine.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.searchengine.rcp/.classpath
===================================================================
--- tmp/org.txm.searchengine.rcp/.classpath	(revision 0)
+++ tmp/org.txm.searchengine.rcp/.classpath	(revision 3122)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.searchengine.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.searchengine.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.searchengine.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.searchengine.rcp/META-INF/MANIFEST.MF	(revision 3122)
@@ -0,0 +1,9 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: org.txm.searchengine.rcp
+Bundle-SymbolicName: org.txm.searchengine.rcp;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Automatic-Module-Name: org.txm.searchengine.rcp
+BBundle-RequiredExecutionEnvironment: JavaSE-10
+Require-Bundle: org.txm.searchengine.core;bundle-version="1.0.0",
+ org.txm.rcp;bundle-version="0.8.2"

Property changes on: tmp/org.txm.searchengine.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.searchengine.rcp/.project
===================================================================
--- tmp/org.txm.searchengine.rcp/.project	(revision 0)
+++ tmp/org.txm.searchengine.rcp/.project	(revision 3122)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.searchengine.rcp</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.searchengine.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.searchengine.rcp/src/org/txm/searchengine/rcp/preferences/SearchEnginePreferencesPage.java
===================================================================
--- tmp/org.txm.searchengine.rcp/src/org/txm/searchengine/rcp/preferences/SearchEnginePreferencesPage.java	(revision 0)
+++ tmp/org.txm.searchengine.rcp/src/org/txm/searchengine/rcp/preferences/SearchEnginePreferencesPage.java	(revision 3122)
@@ -0,0 +1,43 @@
+package org.txm.searchengine.rcp.preferences;
+
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.HashMap;
+
+import org.eclipse.jface.preference.BooleanFieldEditor;
+import org.eclipse.jface.preference.ComboFieldEditor;
+import org.eclipse.ui.IWorkbench;
+import org.txm.Toolbox;
+import org.txm.core.engines.EngineType;
+import org.txm.rcp.preferences.RCPPreferencesPage;
+import org.txm.rcp.preferences.TXMPreferenceStore;
+import org.txm.searchengine.core.SearchEngine;
+import org.txm.searchengine.core.SearchEnginePreferences;
+import org.txm.searchengine.core.SearchEnginesManager;
+
+
+public class SearchEnginePreferencesPage extends RCPPreferencesPage {
+	
+	@Override
+	public void createFieldEditors() {
+		
+		SearchEnginesManager sem = (SearchEnginesManager) Toolbox.getEngineManager(EngineType.SEARCH);
+		HashMap<String, SearchEngine> engines = sem.getEngines();
+		ArrayList<String> keys = new ArrayList<>(engines.keySet());
+		Collections.sort(keys);
+		
+		String[][] choices2 = new String[engines.keySet().size()][2];
+		for (int i = 0; i < keys.size(); i++) {
+			choices2[i][0] = choices2[i][1] = engines.get(keys.get(i)).getName();
+		}
+		addField(new ComboFieldEditor(SearchEnginePreferences.DEFAULT_SEARCH_ENGINE, "Default searchengine", choices2, getFieldEditorParent()));
+		
+		addField(new BooleanFieldEditor(SearchEnginePreferences.SHOW_SEARCH_ENGINES, "Show available search engines", getFieldEditorParent()));
+		
+	}
+	
+	@Override
+	public void init(IWorkbench workbench) {
+		this.setPreferenceStore(new TXMPreferenceStore(SearchEnginePreferences.getInstance().getPreferencesNodeQualifier()));
+	}
+}

Property changes on: tmp/org.txm.searchengine.rcp/src/org/txm/searchengine/rcp/preferences/SearchEnginePreferencesPage.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

